<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (14.0.2) on Tue Oct 27 22:58:03 CET 2020 -->
<title>M-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-27">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">F</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">R</a>&nbsp;<a href="index-7.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/processo/sviluppo/springbootapp/SpringbootAppApplication.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class com.processo.sviluppo.springbootapp.<a href="../com/processo/sviluppo/springbootapp/SpringbootAppApplication.html" title="class in com.processo.sviluppo.springbootapp">SpringbootAppApplication</a></dt>
<dd>
<div class="block">Esegue l'applicazione come una SpringBootApplication</div>
</dd>
<dt><a href="../com/processo/sviluppo/springbootapp/controller/MainController.html" title="class in com.processo.sviluppo.springbootapp.controller"><span class="typeNameLink">MainController</span></a> - Class in <a href="../com/processo/sviluppo/springbootapp/controller/package-summary.html">com.processo.sviluppo.springbootapp.controller</a></dt>
<dd>
<div class="block">La classe MainController contiene il controller che esegue i metodi GET che servono a postare o mostrare i messaggi caricati sul
 database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/processo/sviluppo/springbootapp/controller/MainController.html#%3Cinit%3E()">MainController()</a></span> - Constructor for class com.processo.sviluppo.springbootapp.controller.<a href="../com/processo/sviluppo/springbootapp/controller/MainController.html" title="class in com.processo.sviluppo.springbootapp.controller">MainController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/processo/sviluppo/springbootapp/service/MainService.html" title="class in com.processo.sviluppo.springbootapp.service"><span class="typeNameLink">MainService</span></a> - Class in <a href="../com/processo/sviluppo/springbootapp/service/package-summary.html">com.processo.sviluppo.springbootapp.service</a></dt>
<dd>
<div class="block">La classe MainService si occupa di preparare le liste e i messaggi per chiamare il MessageRepository, allo scopo di salvare o 
 recuperare i messaggi salvati sul database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/processo/sviluppo/springbootapp/service/MainService.html#%3Cinit%3E()">MainService()</a></span> - Constructor for class com.processo.sviluppo.springbootapp.service.<a href="../com/processo/sviluppo/springbootapp/service/MainService.html" title="class in com.processo.sviluppo.springbootapp.service">MainService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/processo/sviluppo/springbootapp/model/Message.html" title="class in com.processo.sviluppo.springbootapp.model"><span class="typeNameLink">Message</span></a> - Class in <a href="../com/processo/sviluppo/springbootapp/model/package-summary.html">com.processo.sviluppo.springbootapp.model</a></dt>
<dd>
<div class="block">La classe Message e' l'entita' che rappresenta il messaggio, composto da un codice id che lo identifica univocamente dagli altri
 messaggi e un testo.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/processo/sviluppo/springbootapp/model/Message.html#%3Cinit%3E()">Message()</a></span> - Constructor for class com.processo.sviluppo.springbootapp.model.<a href="../com/processo/sviluppo/springbootapp/model/Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></dt>
<dd>
<div class="block">Costruttore di default.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/processo/sviluppo/springbootapp/model/Message.html#%3Cinit%3E(java.lang.String)">Message(String)</a></span> - Constructor for class com.processo.sviluppo.springbootapp.model.<a href="../com/processo/sviluppo/springbootapp/model/Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></dt>
<dd>
<div class="block">Costruttore che prende in ingresso il testo del messaggio.</div>
</dd>
<dt><a href="../com/processo/sviluppo/springbootapp/repository/MessageRepository.html" title="interface in com.processo.sviluppo.springbootapp.repository"><span class="typeNameLink">MessageRepository</span></a> - Interface in <a href="../com/processo/sviluppo/springbootapp/repository/package-summary.html">com.processo.sviluppo.springbootapp.repository</a></dt>
<dd>
<div class="block">La classe MessageRepository si occupa di salvare e recuperare le entitÃ  messaggio dal database.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">F</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">R</a>&nbsp;<a href="index-7.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
